# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           jdepend
Version:        2.9.1
Release:        %mkrel 16
Epoch:          0
Group:          Development/Java
Summary:        Java Design Quality Metrics
License:        BSD
URL:            http://www.clarkware.com/
#Downloaded from http://github.com/clarkware/jdepend/tarball/2.9.1
Source0:        clarkware-jdepend-5798059.tar.gz
Source1:        %{name}-%{version}.pom
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  javapackages-local

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demos for %{name}
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n clarkware-jdepend-5798059
# remove all binary libs
find . -name "*.jar" -delete
# fix strange permissions
find . -type d -exec chmod 755 {} \;

%mvn_file %{name}:%{name} %{name}

%build
ant jar javadoc

%install
%mvn_artifact %{SOURCE1} dist/%{name}-%{version}.jar
%mvn_install -J build/docs/api
rm -rf build/docs/api
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr sample $RPM_BUILD_ROOT%{_datadir}/%{name}

%files -f .mfiles
%doc README docs
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files demo
%{_datadir}/%{name}




%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 0:2.9.1-16.mga6
+ Revision: 1007709
- adapt to current guideline
- introduce license macro

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:2.9.1-14.mga6
+ Revision: 977111
- First rebuild of the java stack
- sync package jdepend with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:2.9.1-11.mga6
+ Revision: 952179
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0:2.9.1-10.mga5
+ Revision: 811460
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0:2.9.1-9.mga5
+ Revision: 749258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.9.1-8.mga5
+ Revision: 680757
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 0:2.9.1-7.mga4
+ Revision: 559864
- Use new maven depmap macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:2.9.1-5.mga3
+ Revision: 355276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 0:2.9.1-4.mga2
+ Revision: 131940
- Sync with fedora

  + gil <gil>
    - edit spec file added maven pom

* Sat Jan 15 2011 mikala <mikala> 0:2.9.1-1.0.7.mga1
+ Revision: 18444
- imported package jdepend


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.9.1-1.0.7mdv2011.0
+ Revision: 606078
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.9.1-1.0.6mdv2010.1
+ Revision: 523070
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.9.1-1.0.5mdv2010.0
+ Revision: 425456
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:2.9.1-1.0.4mdv2009.1
+ Revision: 351301
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:2.9.1-1.0.3mdv2009.0
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:2.9.1-1.0.3mdv2008.1
+ Revision: 120812
- buildrequires java-rpmbuild

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:2.9.1-1.0.2mdv2008.0
+ Revision: 87429
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Aug 05 2007 David Walluck <walluck@mandriva.org> 0:2.9.1-1.0.1mdv2008.0
+ Revision: 59159
- 2.9.1


* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.9-2mdv2007.1
+ Revision: 144234
- rebuild for 2007.1
- Import jdepend

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.9-1mdv2007.0
- 2.9
- rebuild for libgcj.so.7
- aot-compile

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:2.7-1mdk
- 2.7

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:2.6-3.1mdk
- release

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:2.6-3jpp
- Rebuild with ant-1.6.2

